// EXAMPLE FOR USING THE RANDOM-LIBRARY
// RANDOM.H HAS TO BE INCLUDED
// RANDOM.C HAS TO BE LINKED TO THE PROJECT
//
// The random-module is based on the "Fast Uniform Random Number Generator"
// introduced by G. Marsaglia. Details you will in the readme or in random.h.
// The module comes with ABSOLUTELY NO WARRANTY.

#include <stdio.h>
#include "random.h"

int main(void) {
  float f;
  unsigned char i1, i8;
  unsigned short int i16;
  unsigned int i24, i32;
  unsigned long long i64;

  sran(100,200);	// Some initialization
  f=ranf();			// Generate a random-float
  i1=ran1();		// Generate a random bit
  i8=ran8();		// Generate a random-byte
  i16=ran16();		// Generate a random-unsigned short int
  i24=ran24();		// Generate a random-unsigned int
  i32=ran32();		// Generate a random-unsigned int
  i64=ran64();		// Generate a random-unsigned long long

  printf("Random float               = %f\n", f);
  printf("Random bit                 = %d\n", i1);
  printf("Random byte                = %d\n", i8);
  printf("Random unsignded short int = %d\n", i16);
  printf("Random unsignded int (24)  = %d\n", i24);
  printf("Random unsignded int (32)  = %u\n", i32);
  xprintf("Random unsignded long long = %llu\n", i64);
  printf("Test-Status = %s\n", rantest()?"OK":"NOT OK");

  return 0;
}
